Package ghidra.app.util.html

# Class EmptyVariableTextLine

java.lang.Object
ghidra.app.util.html.VariableTextLine
ghidra.app.util.html.EmptyVariableTextLine

All Implemented Interfaces:
  `PlaceHolderLine`, `ValidatableLine`

public class EmptyVariableTextLine extends VariableTextLine implements PlaceHolderLine

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.html.ValidatableLine

  `INVALID_COLOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyVariableTextLine(int numberOfCharacters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValidatableLine`
  `copy()`
  `boolean`
  `isValidated()`
  True means that this line has been matched against another line, regardless of whether the two lines are the same or not.
  `boolean`
  `matches(ValidatableLine otherValidatableLine)`
  `String`
  `toString()`
  `void`
  `updateColor(ValidatableLine otherValidatableLine, Color invalidColor)`

  ### Methods inherited from class ghidra.app.util.html.VariableTextLine

  `getDataType, getText, getVariableName, getVariableNameColor, getVariableType, getVariableTypeColor, hasUniversalId, isDiffColored, setTextColor, setValidationLine`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.html.ValidatableLine

  `getText, isDiffColored, setTextColor, setValidationLine`

- ## Constructor Details

  - ### EmptyVariableTextLine

    public EmptyVariableTextLine(int numberOfCharacters)

- ## Method Details

  - ### copy

    public ValidatableLine copy()
    Specified by:
      `copy` in interface `ValidatableLine`
    Overrides:
      `copy` in class `VariableTextLine`

  - ### updateColor

    public void updateColor(ValidatableLine otherValidatableLine, Color invalidColor)
    Specified by:
      `updateColor` in interface `ValidatableLine`
    Overrides:
      `updateColor` in class `VariableTextLine`

  - ### matches

    public boolean matches(ValidatableLine otherValidatableLine)
    Specified by:
      `matches` in interface `ValidatableLine`
    Overrides:
      `matches` in class `VariableTextLine`

  - ### isValidated

    public boolean isValidated()
    Description copied from interface: `ValidatableLine`
    True means that this line has been matched against another line, regardless of whether the two lines are the same or not.
    Specified by:
      `isValidated` in interface `ValidatableLine`
    Overrides:
      `isValidated` in class `VariableTextLine`
    Returns:
      true if this line has been matched against another line

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `VariableTextLine`